const river = this.actor.itemTags.template.find(t => t.name === "River Troll");

if (!river) {
  args.options.abortItemCreation = true;
  this.script.notification("Peut seulement être appliqué à un Troll des Rivières.", 'warning');
}